Index: /extensions/AStat/language/el_GR/plugin.lang.php
===================================================================
--- /extensions/AStat/language/el_GR/plugin.lang.php	(revision 17372)
+++ /extensions/AStat/language/el_GR/plugin.lang.php	(revision 17373)
@@ -51,3 +51,60 @@
 $lang['AStat_BarColor_Cat'] = 'Αριθμός των κατηγοριών';
 $lang['AStat_AddIP'] = 'Προσθήκη στη μαύρη λίστα';
+$lang['AStat_period_label_months'] = 'Μήνες';
+$lang['AStat_period_label_hours'] = 'Ώρες';
+$lang['AStat_period_label_global'] = 'Γενική';
+$lang['AStat_period_label_days'] = 'Ημέρες';
+$lang['AStat_period_label_all'] = 'Όλο το χρόνο';
+$lang['AStat_pages_label'] = 'Σελίδες';
+$lang['AStat_page_label'] = 'Σελίδα';
+$lang['AStat_nofilter'] = '--- Κανένα φίλτρο ---';
+$lang['AStat_nb_total_ip'] = 'Συνολικός αριθμός διευθύνσεων IP';
+$lang['AStat_nb_total_image'] = 'Συνολικός αριθμός των εικόνων';
+$lang['AStat_nb_total_category'] = 'Συνολικός αριθμός των κατηγοριών';
+$lang['AStat_month_of_year_9'] = 'Σεπτέμβριος';
+$lang['AStat_month_of_year_8'] = 'Αύγουστος';
+$lang['AStat_month_of_year_7'] = 'Ιούλιος';
+$lang['AStat_month_of_year_6'] = 'Ιούνιος';
+$lang['AStat_month_of_year_5'] = 'Μάιος';
+$lang['AStat_month_of_year_4'] = 'Απρίλιος';
+$lang['AStat_month_of_year_3'] = 'Μάρτιος';
+$lang['AStat_month_of_year_2'] = 'Φεβρουάριος';
+$lang['AStat_month_of_year_12'] = 'Δεκέμβριος';
+$lang['AStat_month_of_year_11'] = 'Νοέμβριος';
+$lang['AStat_month_of_year_10'] = 'Οκτώβριος';
+$lang['AStat_month_of_year_1'] = 'Ιανουάριος';
+$lang['AStat_gpc2_not_installed'] = 'Το πρόσθετο \'Grum Plugins Classes 2\' (έκδοση >= %s) χρειάζεται για να εγκαταστήσετε το AStat';
+$lang['AStat_general_config'] = 'Γενικές ρυθμίσεις';
+$lang['AStat_events'] = 'συμβάντα';
+$lang['AStat_event'] = 'συμβάν';
+$lang['AStat_enableddisabled_true'] = 'Το Φίλτρο είναι ενεργοποιημένο ';
+$lang['AStat_enableddisabled_invert'] = 'Το Φίλτρο είναι αντεστραμμένο ';
+$lang['AStat_enableddisabled_false'] = 'Το Φίλτρο είναι απενεργοποιημένο';
+$lang['AStat_do_save'] = 'Αποθήκευση';
+$lang['AStat_deleted_user'] = 'Χρήστης διαγραμμένος';
+$lang['AStat_day_of_week_4'] = 'Πέμπτη';
+$lang['AStat_day_of_week_0'] = 'Κυριακή';
+$lang['AStat_day_of_week_1'] = 'Δευτέρα';
+$lang['AStat_day_of_week_2'] = 'Τρίτη';
+$lang['AStat_day_of_week_3'] = 'Τετάρτη';
+$lang['AStat_day_of_week_5'] = 'Παρασκευή';
+$lang['AStat_day_of_week_6'] = 'Σάββατο';
+$lang['AStat_deleted_picture'] = 'Η εικόνα δεν υπάρχει πλέον';
+$lang['AStat_date_time_format'] = 'Y/d/m H:i:s';
+$lang['AStat_confignotsaved'] = 'Παρουσιάστηκε σφάλμα, οι ρυθμίσεις δεν αποθηκεύτηκαν';
+$lang['AStat_config_title'] = 'Ρυθμίσεις AStat';
+$lang['AStat_config_saved'] = 'Οι ρυθμίσεις αποθηκεύτηκαν!';
+$lang['AStat_config_colors_and_graph'] = 'Χρώμα & ρυθμίσεις γραφικών';
+$lang['AStat_config'] = 'Ρυθμίσεις';
+$lang['AStat_catfilter_list'] = 'Εφαρμογή φίλτρου σε κατηγορίες';
+$lang['AStat_by_period'] = 'Με την περίοδο';
+$lang['AStat_by_ip'] = 'κατά IP';
+$lang['AStat_by_category'] = 'κατά κατηγορία';
+$lang['AStat_by_image'] = 'κατά εικόνα';
+$lang['AStat_adviser_not_authorized'] = 'Η Δράση ματαιώθηκε: το προφίλ σύμβουλος δεν επιτρέπει αυτού του είδους της δράση';
+$lang['AStat_SortImgLabel'] = 'Ταξινομημένα κατά';
+$lang['AStat_SortIPLabel'] = 'Ταξινομημένα κατά';
+$lang['AStat_SortCatLabel'] = 'Ταξινομημένα κατά';
+$lang['AStat_ShowThumbImg'] = 'Εμφάνιση μικρογραφίας εικόνας';
+$lang['AStat_ShowThumbCat'] = 'Εμφάνιση της μικρογραφίας του εκπροσώπου της κατηγορίας';
 ?>