Index: /extensions/UserAdvManager/trunk/language/el_GR/help.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/el_GR/help.lang.php	(revision 17373)
+++ /extensions/UserAdvManager/trunk/language/el_GR/help.lang.php	(revision 17374)
@@ -21,5 +21,5 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
-$lang['UAM_AdminValidationMail_Subject_d'] = 'Όταν o Διαχειριστής ή ο Υπεύθυνος της γκαλερί επιβεβαιώνουν αυτόματη μια εγγραφή υπό αναμονή, στέλνετε αυτόματα ένα email κοινοποίησης στον χρήστη. Εισάγετε εδώ χειροκίνητα το προσαρμοσμένο θέμα για το e-mail επικύρωσης.<br>
+$lang['UAM_AdminValidationMail_Subject_d'] = 'Όταν o Διαχειριστής ή ο Υπεύθυνος της γκαλερί επιβεβαιώνουν αυτόματα μια εγγραφή υπό αναμονή, στέλνετε αυτόματα ένα email κοινοποίησης στον χρήστη. Εισάγετε εδώ χειροκίνητα το προσαρμοσμένο θέμα για το e-mail επικύρωσης.<br>
 Από προεπιλογή, το πεδίο έχει γενικό κείμενο στην αγγλική γλώσσα αλλα μπορείτε να το αλλάξετε και να χρησιμοποιήσετε τις ετικέτες μετάφρασης [lang =?] του πρόσθετου Extended Description εάν είναι εγκατεστημένο.
 <br><br>
@@ -27,3 +27,44 @@
 - <b style=&quot;color: red;&quot;>[username]</b> για να εισαγάγετε αυτόματα το όνομα του χρήστη προορισμού του e-mail.<br>
 - <b style=&quot;color: red;&quot;>[mygallery]</b> για να εισάγετε τον τίτλο της γκαλερί σας.<br>';
+$lang['UAM_DumpTitle_d'] = 'Αυτό σας επιτρέπει να αποθηκεύσετε το σύνολο της διαμόρφωσης του πρόσθετου σε ένα αρχείο ώστε να μπορείτε να το επαναφέρετε σε περίπτωση που κάτι πάει στραβά (λάθος χειρισμό ή πριν από μια ενημέρωση, για παράδειγμα). Από προεπιλογή, το αρχείο αποθηκεύεται σε αυτόν το φάκελο  ../plugins/UserAdvManager/include/backup/ και λέγετε &quot;UAM_dbbackup.sql&quot;.
+<br><br>
+<b style=&quot;color: red;&quot;>Προειδοποίηση: Το αρχείο επανεγγράφεται σε κάθε backup!</b>
+<br><br>
+Μπορεί μερικές φορές να είναι χρήσιμο να μπορείτε να ανακτήσετε το αρχείο αντιγράφου ασφαλείας στον υπολογιστή σας. Για παράδειγμα: Για να επαναφέρετε σε άλλη βάση δεδομένων, να αναθέσουν σε τρίτους ή να κρατήσει πολλές αποθηκευμένα αρχεία. Για να το κάνετε αυτό, απλά τσεκάρετε το μποξ για να κατεβάσετε το αρχείο.
+<br><br>
+Η ανάκτηση από αυτό το interface είναι διαθέσιμο μόνο για το τοπικό αρχείο backup (../plugins/UserAdvManager/include/backup/UAM_dbbackup.sql). Το Αρχείο αντίγραφου ασφαλείας που κατεβάσατε δεν μπορεί να αποκατασταθεί με αυτόν τον τρόπο. Για να το κάνετε αυτό, χρησιμοποιήστε ειδικό εργαλείο διαχείρισης βάσης δεδομένων σας (όπως PhpMyAdmin για MySql βάση δεδομένων).
+<br><br>
+<b style=&quot;color: red;&quot;>Προειδοποίηση: Μετά την επαναφορά, είναι απαραίτητο να ξαναφορτώσετε την σελίδα διαχείρισης του πρόσθετου για να δείτε τις αποκατεστημένες  ρυθμίσεις!</b>
+';
+$lang['UAM_CustomPasswRetrTitle_d'] = 'Από προεπιλογή, όταν ένας χρήστης έχει χάσει τον κωδικό του και διαλέγει την επιλογή της αποκατάστασης, δέχεται τότε ένα email που περιέχει μόνο το όνομα του και ένα νέο κωδικό πρόσβασης.
+<br><br>
+Εδώ, μπορείτε να προσθέσετε κείμενο της επιλογής σας για να εισαχθεί <b><u>πριν</u></b> τις βασικές πληροφορίες.
+<br><br>
+Προσαρμόσετε περαιτέρω το περιεχόμενο εισάγοντας ειδικές ετικέτες:<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> για να εισάγετε τον τίτλο της γκαλερί σας.<br>
+- <b style=&quot;color: red;&quot;>[myurl]</b> για να εισάγετε τη διεύθυνση URL της γκαλερί σας εάν ορίζεται στις επιλογές διαμόρφωσης του Piwigo.
+<br><br>
+Για να χρησιμοποιήσετε πολλές γλώσσες, μπορείτε να χρησιμοποιήσετε ετικέτες του πρόσθετου  Extended description, εάν είναι ενεργοποιημένο.';
+$lang['UAM_ConfirmMail_Subject_d'] = 'Εισάγετε εδώ το προσαρμοσμένο θέμα του e-mail της επιβεβαίωση εγγραφής σας(με ή χωρίς νέα επανέκδοση κλειδιού). <br>
+Από προεπιλογή, το πεδίο έχει ένα γενικό κείμενο στην αγγλική γλώσσα αλλά μπορείτε να το αλλάξετε χρησιμοποιώντας  τις ετικέτες μετάφρασης [lang =?] του πρόσθετου Extended Description εάν είναι εγκατεστημένο.
+<br><br>
+Οι ακόλουθες ετικέτες πρόσθετων προσαρμογών είναι διαθέσιμες χωρίς να χρειαστεί να χρησιμοποιήσετε το πρόσθετο Extended Description:<br>
+- <b style=&quot;color: red;&quot;>[username]</b>
+ για να εισαγάγετε αυτόματα το όνομα του χρήστη προορισμού του e-mail.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> για να εισάγετε τον τίτλο της γκαλερί σας.<br>';
+$lang['UAM_ConfirmMail_ReMail_Subject_d'] = 'Εισάγετε εδώ το προσαρμοσμένο θέμα του e-mail υπενθύμισης της επιβεβαίωση εγγραφής σας(με ή χωρίς νέα επανέκδοση κλειδιού). <br>
+Από προεπιλογή, το πεδίο έχει ένα γενικό κείμενο στην αγγλική γλώσσα αλλά μπορείτε να το αλλάξετε χρησιμοποιώντας  τις ετικέτες μετάφρασης [lang =?] του πρόσθετου Extended Description εάν είναι εγκατεστημένο.
+<br><br>
+Οι ακόλουθες ετικέτες πρόσθετων προσαρμογών είναι διαθέσιμες χωρίς να χρειαστεί να χρησιμοποιήσετε το πρόσθετο Extended Description:<br>
+- <b style=&quot;color: red;&quot;>[username]</b>
+ για να εισαγάγετε αυτόματα το όνομα του χρήστη προορισμού του e-mail.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> για να εισάγετε τον τίτλο της γκαλερί σας.<br>';
+$lang['UAM_AdminValidationMail_d'] = 'Όταν o Διαχειριστής ή ο Υπεύθυνος της γκαλερί επιβεβαιώνουν χειροκίνητα μια εγγραφή υπό αναμονή, στέλνετε αυτόματα ένα email κοινοποίησης στον χρήστη. Εισάγετε εδώ το κείμενο που θα εμφανίζεται αυτό το e-mail.
+<br><br>
+Προσαρμόσετε περαιτέρω το περιεχόμενο εισάγοντας ειδικές ετικέτες:<br>
+- <b style=&quot;color: red;&quot;>[username]</b>για να εισαγάγετε αυτόματα το όνομα του χρήστη προορισμού του e-mail.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> για να εισάγετε τον τίτλο της γκαλερί σας.<br>
+- <b style=&quot;color: red;&quot;>[myurl]</b> για να εισάγετε τη διεύθυνση URL της γκαλερί σας εάν ορίζεται στις επιλογές διαμόρφωσης του Piwigo.
+<br><br>
+Για να χρησιμοποιήσετε πολλές γλώσσες, μπορείτε να χρησιμοποιήσετε ετικέτες του πρόσθετου  Extended description, εάν είναι ενεργοποιημένο';
 ?>
Index: /extensions/UserAdvManager/trunk/language/el_GR/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/el_GR/plugin.lang.php	(revision 17373)
+++ /extensions/UserAdvManager/trunk/language/el_GR/plugin.lang.php	(revision 17374)
@@ -77,3 +77,31 @@
 Ο λογαριασμός σας έχει επιβεβαιωθεί χειροκίνητα από τον webmaster του [mygallery]. Μπορείτε τώρα να συνδεθείτε στο [myurl] και να κάνετε τις κατάλληλες αλλαγές στο προφίλ σας.';
 $lang['UAM_Default_AdminValidationMail_Subject'] = '[username] - Η Εγγραφή επικυρώθηκε στο [mygallery]';
+$lang['UAM_Enable'] = 'Ενεργοποίηση';
+$lang['UAM_Err_GhostTracker_Settings'] = 'Αυτή η σελίδα είναι διαθέσιμη μόνο αν το "Ghost Tracker" είναι ενεργό στο "Ρύθμιση των εγγραφών που ακολουθούν και άλλες επιλογές".';
+$lang['UAM_Dump_OK'] = 'Η Δημιουργία αρχείου αντιγράφων ασφαλείας δημιουργήθηκε με επιτυχία';
+$lang['UAM_Dump_NOK'] = 'Σφάλμα: Δεν είναι δυνατή η δημιουργία αρχείων αντιγράφων ασφαλείας!';
+$lang['UAM_Dump_Download'] = 'Για να κατεβάσετε το αρχείο αντιγράφου ασφαλείας, μπορείτε να επιλέξετε αυτό το κουτί:';
+$lang['UAM_DumpTxt'] = 'Δημιουργία αντιγράφων ασφαλείας και επαναφορά των ρυθμίσεών σας';
+$lang['UAM_Disable'] = 'Απενεργοποίηση (προεπιλογή)';
+$lang['UAM_Demotion of %s'] = 'Υποβιβασμός του %s';
+$lang['UAM_Deleted_Account_Redirection_Page'] = 'Δεν επιτρέπεται η πρόσβαση - Λογαριασμός καταργήθηκε!';
+$lang['UAM_Delete_selected'] = 'Διαγραφή';
+$lang['UAM_Default_ValidationTimeout_Txt'] = 'Λυπούμαστε, ο λογαριασμός σας έχει διαγραφεί επειδή δεν έχετε επιβεβαιώσει την εγγραφή σας στο ζητούμενο χρόνο ([Kdays] ημέρες). Παρακαλώ, δοκιμάστε ξανά εγγραφή με ένα έγκυρο και όχι μπλοκαρισμένο λογαριασμό email.';
+$lang['UAM_Default_RejectConnexion_Txt'] = 'Συγνώμη, δεν έχετε επιβεβαιώσει ακόμα την εγγραφή σας, έτσι δεν μπορείτε να συνδεθείτε στη γκαλερί τώρα. Παρακαλώ ελέγξτε το email σας. Θα πρέπει να βρείτε ένα e-mail που αποστέλλετε από τη γκαλερί, που περιέχει ένα σύνδεσμο για να εκτελέσετε την επιβεβαίωση σας. Εάν όχι, παρακαλούμε επικοινωνήστε με τον webmaster.';
+$lang['UAM_Default_PwdRequest_Txt'] = 'Έχετε ζητήσει επαναφορά του κωδικού πρόσβασης για την γκαλερί μας. Παρακαλώ δείτε πιο κάτω τις νέες ρυθμίσεις της σύνδεσής σας.';
+$lang['UAM_Default_InfoMail_Txt'] = 'Γεια σας [username]!
+
+Θα προχωρήσει σε σημαντικές αλλαγές στο προφίλ σας στη γκαλερί  [mygallery]. Παρακαλούμε, δείτε παρακάτω τις νέες ρυθμίσεις σας:';
+$lang['UAM_Default_InfoMail_Subject'] = '[username] - Πληροφορίες για την εγγραφή σας στο [mygallery]';
+$lang['UAM_Default_GhstReminder_Txt'] = 'Γεια σας [username]!
+
+Αυτή είναι μια υπενθύμιση, επειδή ένα πολύ μεγάλο χρονικό διάστημα πέρασε από την τελευταία επίσκεψη σας στην γκαλερί μας [mygallery]. Εάν δεν θέλετε πια να χρησιμοποιήσετε το λογαριασμό σας πρόσβασης, παρακαλώ ενημερώστε μας απαντώντας σε αυτό το email. Ο λογαριασμός σας θα διαγραφεί.
+
+Μετά την παραλαβή αυτού του μηνύματος και αν δεν γίνει νέα επίσκεψη εντός [days] ημέρες, θα υποχρεωθούμε να διαγράψουμε αυτόματα το λογαριασμό σας.
+
+Με φιλικούς χαιρετισμούς,
+
+Ο Διαχειριστής της γκαλερί [mygallery] - [myurl]';
+$lang['UAM_Default_GhstDemotion_Txt'] = 'Λυπούμαστε [username], ο λογαριασμός σας έχει καταργηθεί λόγω του πάρα πολύ χρόνου που μεσολάβησε από την τελευταία επίσκεψη σας στο [mygallery]. Παρακαλούμε, χρησιμοποιήστε τον ακόλουθο σύνδεσμο για να επιβεβαιώσει το λογαριασμό σας';
+$lang['UAM_Default_GhstDeletion_Txt'] = 'Λυπούμαστε [username], ο λογαριασμός σας έχει διαγραφεί λόγω του πάρα πολύ χρόνου που μεσολάβησε από την τελευταία επίσκεψη σας στο [mygallery]. Παρακαλούμε να εγγραφείτε  ξανά.';
 ?>