Index: extensions/UserAdvManager/trunk/language/el_GR/plugin.lang.php
===================================================================
--- extensions/UserAdvManager/trunk/language/el_GR/plugin.lang.php	(revision 17374)
+++ extensions/UserAdvManager/trunk/language/el_GR/plugin.lang.php	(revision 17395)
@@ -105,3 +105,31 @@
 $lang['UAM_Default_GhstDemotion_Txt'] = 'Λυπούμαστε [username], ο λογαριασμός σας έχει καταργηθεί λόγω του πάρα πολύ χρόνου που μεσολάβησε από την τελευταία επίσκεψη σας στο [mygallery]. Παρακαλούμε, χρησιμοποιήστε τον ακόλουθο σύνδεσμο για να επιβεβαιώσει το λογαριασμό σας';
 $lang['UAM_Default_GhstDeletion_Txt'] = 'Λυπούμαστε [username], ο λογαριασμός σας έχει διαγραφεί λόγω του πάρα πολύ χρόνου που μεσολάβησε από την τελευταία επίσκεψη σας στο [mygallery]. Παρακαλούμε να εγγραφείτε  ξανά.';
+$lang['UAM_GhostTracker'] = 'Διαχείριση Ghost visitors (Ghost Tracker)';
+$lang['UAM_Generic cannot be pwdreset'] = 'Η ανανέωση κωδικού δεν μπορεί να ρυθμιστεί για γενικούς λογαριασμούς!';
+$lang['UAM_GT_Reset'] = 'Επαναφορά του Ghost Tracker';
+$lang['UAM_GT_Init'] = 'Αρχικοποίηση του Ghost Tracker';
+$lang['UAM_GTReminder_Subject'] = 'Προσαρμογή θέματος e-mail για χειροκίνητη υπενθύμιση των Ghost Tracker';
+$lang['UAM_GTAutomail_Text'] = 'Προσαρμογή κειμένου στο email υποβιβασμού';
+$lang['UAM_GTAutomail_Subject'] = 'Προσαρμογή θέματος e-mail για αυτόματο υποβιβασμό των Ghost Tracker';
+$lang['UAM_GTAutoMail'] = 'Αυτόματη αποστολή ενός e-mail όταν αλλάζουν ομάδα / κατάσταση / επίπεδο προστασίας';
+$lang['UAM_GTAutoGp'] = 'Αυτόματη αλλαγή της ομάδας / κατάστασης / επιπέδου προστασίας';
+$lang['UAM_GTAutoDel'] = 'Αυτόματη διαγραφή των λογαριασμών';
+$lang['UAM_GTAuto'] = 'Αυτόματη διαχείριση των ghosts users';
+$lang['UAM_Force_Validation'] = 'Χειροκίνητη επιβεβαίωση';
+$lang['UAM_Expired_Status'] = '<b>Η Κατάσταση</b> για την εγγραφή του χρήστη έχει λήξει<br>';
+$lang['UAM_Expired_Level'] = '<b>Το επίπεδο προστασίας</b> για την εγγραφή του χρήστη έχει λήξει<br>';
+$lang['UAM_Expired_Group'] = '<b>Η Ομάδα</b>για την εγγραφή του χρήστη έχει λήξει<br>';
+$lang['UAM_Error_Using_illegal_flag'] = 'Συντακτικό σφάλμα! Η [Kdays] AutoText flag χρησιμοποιείται αν η επιλογή "Προθεσμία για τον περιορισμό της επιβεβαίωση εγγραφής" δεν έχει ενεργοποιηθεί. Παρακαλούμε ενεργοποιήστε την επιλογή διορθώστε το πεδίο (α) κειμένου με κόκκινο χρώμα';
+$lang['UAM_Error_Using_illegal_Kdays'] = 'Η χρήση της ετικέτας [Kdays] επιτρέπεται μόνο αν η προθεσμία για τον περιορισμό της επιβεβαίωση εγγραφής είναι ενεργή. Ανατρέξτε στο πεδίο κειμένου με κόκκινο χρώμα για να διορθώσετε το πρόβλημα.';
+$lang['UAM_Error_GTAutoMail_cannot_be_set_without_ConfirmMail'] = 'Σφάλμα συνοχής, στην επιλεγμένη ρύθμιση:
+<br><br>
+"Ρύθμιση της παρακολούθησης εγγεγραμμένων χρηστών και άλλες επιλογές> Διαχείρηση του Ghost visitors (Ghost Tracker) > Αυτόματη διαχείριση των ghosts users > Αυτόματη αποστολή ενός ηλεκτρονικού ταχυδρομείου όταν γίνετε αλλαγή ομάδας / κατάστασης" δεν μπορεί να ενεργοποιηθεί εάν η "Ρύθμιση επιβεβαίωσης της εγγραφής > Επιβεβαίωση της εγγραφής - Επιβεβαίωση από το χρήστη" δεν είναι πρώτα ενεργοποιημένη.
+<br><br>
+Για να εξασφαλιστεί η συνοχή, η επιλογή "Αυτόματη αποστολή e-mail όταν αλλάζουν ομάδα / κατάσταση" έγινε αυτόματα στη θέση "απενεργοποιημένο".
+<br><br>';
+$lang['UAM_Err_audit_username_char'] = '<b>Αυτός ο λογαριασμός χρησιμοποιεί ένα ή περισσότερους απαγορευμένους χαρακτήρες :</b> ';
+$lang['UAM_Err_audit_email_forbidden'] = '<b>Αυτός ο λογαριασμός χρησιμοποιεί ένα απαγορευμένο παροχέα email:</b> ';
+$lang['UAM_Err_audit_advise'] = '<b>θα πρέπει να εκτελέσετε διορθώσεις που να υπακούν  με τους νέους κανόνες που έχετε ενεργοποιήσει.<br>Χρησιμοποιήστε ένα βοηθητικό πρόγραμμα διαχείρισης βάσεων δεδομένων για τη διόρθωση στους λογαριασμούς χρηστών κατευθείαν στον πίνακα ###_USERS';
+$lang['UAM_Err_Userlist_Settings'] = 'Αυτή η σελίδα είναι διαθέσιμη μόνο αν το "Παρακολούθηση εγγεγραμμένων χρηστών" είναι ενεργό στο "Ρύθμιση των εγγραφών ακολούθησαν και άλλες επιλογές".';
+$lang['UAM_Err_UserManager_Settings'] = 'Αυτή η σελίδα είναι διαθέσιμη μόνο αν το "Επιβεβαίωση εγγραφής" είναι ενεργό και αν μια ομάδα επισκεπτών δεν επιβεβαίωσε ρυθμίζετε στο "Ρύθμιση επιβεβαίωσης εγγραφής".';
 ?>