Index: /extensions/stripped/admin/admin.tpl
===================================================================
--- /extensions/stripped/admin/admin.tpl	(revision 17406)
+++ /extensions/stripped/admin/admin.tpl	(revision 17407)
@@ -117,4 +117,5 @@
 						<option value="2small" {if ($options.albumSize=="2small")}selected{/if}>{'2small'|@translate}</option>
 						<option value="xsmall" {if ($options.albumSize=="xsmall")}selected{/if}>{'xsmall'|@translate}</option>
+						<option value="small" {if ($options.albumSize=="small")}selected{/if}>{'small'|@translate}</option>
 						<option value="medium" {if ($options.albumSize=="medium")}selected{/if}>{'medium'|@translate}</option>
 						<option value="large" {if ($options.albumSize=="large")}selected{/if}>{'large'|@translate}</option>
@@ -130,4 +131,5 @@
 						<option value="2small" {if ($options.thumbSize=="2small")}selected{/if}>{'2small'|@translate}</option>
 						<option value="xsmall" {if ($options.thumbSize=="xsmall")}selected{/if}>{'xsmall'|@translate}</option>
+						<option value="small" {if ($options.thumbSize=="small")}selected{/if}>{'small'|@translate}</option>
 						<option value="medium" {if ($options.thumbSize=="medium")}selected{/if}>{'medium'|@translate}</option>
 						<option value="large" {if ($options.thumbSize=="large")}selected{/if}>{'large'|@translate}</option>
@@ -143,4 +145,5 @@
 						<option value="2small" {if ($options.imageSize=="2small")}selected{/if}>{'2small'|@translate}</option>
 						<option value="xsmall" {if ($options.imageSize=="xsmall")}selected{/if}>{'xsmall'|@translate}</option>
+						<option value="small" {if ($options.imageSize=="small")}selected{/if}>{'small'|@translate}</option>
 						<option value="medium" {if ($options.imageSize=="medium")}selected{/if}>{'medium'|@translate}</option>
 						<option value="large" {if ($options.imageSize=="large")}selected{/if}>{'large'|@translate}</option>
@@ -156,4 +159,5 @@
 						<option value="2small" {if ($options.hdSize=="2small")}selected{/if}>{'2small'|@translate}</option>
 						<option value="xsmall" {if ($options.hdSize=="xsmall")}selected{/if}>{'xsmall'|@translate}</option>
+						<option value="small" {if ($options.hdSize=="small")}selected{/if}>{'small'|@translate}</option>
 						<option value="medium" {if ($options.hdSize=="medium")}selected{/if}>{'medium'|@translate}</option>
 						<option value="large" {if ($options.hdSize=="large")}selected{/if}>{'large'|@translate}</option>
Index: /extensions/stripped/js/scripts-tpp.js
===================================================================
--- /extensions/stripped/js/scripts-tpp.js	(revision 17406)
+++ /extensions/stripped/js/scripts-tpp.js	(revision 17407)
@@ -174,16 +174,20 @@
 			var marge_cote;
 
-			if (ImageCadre.length == 0) {
-				ImageContainer.css("opacity","1");
-				jQuery("img","#theImageAndTitle").css("opacity","1");
-				return;
-			}
-			
-			if (options.navArrows) {marge_cote=30;} else {marge_cote=10;};
-
 			var marge_sup = 5 + Content.offset().top;
 			var marge_inf;
 			if (options.themeStyle == 'original') { marge_inf = options.imageAutosizeMargin+10;} else { marge_inf = 30;};
 			var marge_spec = 0;
+
+			if (ImageCadre.length == 0) {
+				ImageContainer.css("opacity","1");
+				jQuery("img","#theImageAndTitle").css("opacity","1");
+				ImageContainer.css("top",marge_sup+"px");
+				//maps & earth
+				if (jQuery("#map").length == 1) {
+					ImageContainer.css("position","static");
+					ImageContainer.css("margin-top","10px");
+				}
+				return;
+			}
 			
 			var slideshow=jQuery("#light_slideshow");
@@ -361,4 +365,6 @@
 {
   p = new Object();
+  imgH = jQuery(document).data("highHeight") 
+  imgW = jQuery(document).data("highWidth") 
 
   if(zoom=='full')
@@ -369,20 +375,24 @@
     p.top=options.marginContainer;
 
-    if(p.width>jQuery(document).data("highWidth"))
-    {
-      p.width = jQuery(document).data("highWidth")-options.paddingContainer*2;
+    if(p.width>imgW)
+    {
+      p.width = imgW;
       p.left = (jQuery("html").get(0).clientWidth-p.width)/2;
-    }
-
-    if(p.height>jQuery(document).data("highHeight"))
-    {
-      p.height = jQuery(document).data("highHeight")-options.paddingContainer*2;
+      jQuery("#theImgHighZoomButton").hide();
+    }
+
+    if(p.height>imgH)
+    {
+      p.height = imgH;
       p.top = (jQuery("html").get(0).clientHeight-p.height)/2;
-    }
+      jQuery("#theImgHighZoomButton").hide();
+    }
+	
+	if ((p.width==imgW) && (p.height==imgH)) switchZoomHigh();
   }
   else
   {
     //zoom = 'fit'
-    ratioImg = jQuery(document).data("highWidth") / jQuery(document).data("highHeight");
+	ratioImg = imgW / imgH;
     ratioPage = jQuery("html").get(0).clientWidth / jQuery("html").get(0).clientHeight;
 
@@ -398,4 +408,10 @@
       p.height = p.width/ratioImg;
     }
+	
+	if ((p.width > imgW) || (p.height > imgH)) {
+		p.height = imgH;
+		p.width = imgW;
+		jQuery("#theImgHighZoomButton").hide();
+	}
     p.left = (jQuery("html").get(0).clientWidth-p.width)/2;
     p.top = (jQuery("html").get(0).clientHeight-p.height)/2;
Index: /extensions/stripped/readme.txt
===================================================================
--- /extensions/stripped/readme.txt	(revision 17406)
+++ /extensions/stripped/readme.txt	(revision 17407)
@@ -31,4 +31,10 @@
 Changelog
 ---------
+
+*** version 2.2.7
+
+- bugfixes with multisize support
+- improved compatibility with PWG Stuffs + RV Maps & Earth plugins
+- languages updates
 
 *** version 2.2.6
Index: /extensions/stripped/theme.css
===================================================================
--- /extensions/stripped/theme.css	(revision 17406)
+++ /extensions/stripped/theme.css	(revision 17407)
@@ -1339,5 +1339,5 @@
     left:240px;
 	margin-bottom:15px;
-	margin-right:260px;
+	margin-right:270px;
 }
 
@@ -1497,2 +1497,4 @@
 }
 
+#content .stuffs_block  .wrap2 { height:130px!important;}
+#content .stuffs_block .wrap1 .wrap2full { height:160px!important;}