Index: extensions/lmt/language/uk_UA/plugin.lang.php
===================================================================
--- extensions/lmt/language/uk_UA/plugin.lang.php	(revision 17399)
+++ extensions/lmt/language/uk_UA/plugin.lang.php	(revision 17412)
@@ -33,5 +33,5 @@
 $lang['lmt_cfg_licence_default_author'] = 'Вибір автора на отримання ліцензії за замовчуванням';
 $lang['lmt_cfg_list_maxheight'] = 'Максимальна висота списку';
-$lang['lmt_cc_url'] = 'http://wiki.creativecommons.org/Ukraine';
+$lang['lmt_cc_url'] = 'http://creativecommons.org.ua/';
 $lang['lmt_cfg_licence_activated'] = 'Включення управління ліцензіями';
 $lang['lmt_author'] = 'Автор';
@@ -55,3 +55,126 @@
 $lang['lmt_add_to_caddie'] = 'Додати елементи в кошик';
 $lang['lmt_apply'] = 'Застосувати';
+$lang['lmt_general_text'] = '[logo=80x15]Засоби масової інформації цього сайту є об\'єктами авторського права, і, якщо не вказано інше, поширюється на умовах ліцензії Creative Commons [text=logo]';
+$lang['lmt_release'] = 'r';
+$lang['lmt_way_nd'] = 'Без похідних творів';
+$lang['lmt_dontapply_do_clear_selected'] = 'Видалити вибрані елементи з кошику без застосування ліцензії';
+$lang['lmt_help_config_10'] = 'Якщо активовано, сторінка, на яку вказує посилання відкриється в новому вікні.';
+$lang['lmt_lbl_cc_s-cc0'] = 'Creative Commons 0';
+$lang['lmt_def_nd'] = 'Правовласник, як і раніше залишає за собою право вносити такі похідні роботи або дозволяти заздалегідь зміни, переклади...';
+$lang['lmt_def_nc'] = 'Правовласник може дозволити всі види використання або для обмеження використання в некомерційних цілях (в комерційних цілях, залишається предметом дозволу).';
+$lang['lmt_def_--'] = 'Робота може бути вільно використаний за умови, що нагорода автора буде цитування його ім\'я';
+$lang['lmt_cfg_licence_visible'] = 'Ліцензія відображається завжди, навіть якщо ця ліцензія за замовчуванням';
+$lang['lmt_caddie_is_empty_please_fill_it'] = 'Застосування ліцензії проводиться за вмістом кошику. На жаль він пустий...';
+$lang['lmt_author_nfo'] = 'Коли логотип ліцензії знаходиться на сторінки, що переглядається , то можна вказати автора, який має права.';
+$lang['lmt_icon_80x15'] = 'Іконки 80x15';
+$lang['lmt_icon_88x31'] = 'Іконки 88x31';
+$lang['lmt_lbl_cc-by'] = 'Із зазначенням авторства';
+$lang['lmt_lbl_cc-by-nc'] = 'Із зазначенням авторства, Некомерційна';
+$lang['lmt_lbl_cc-by-nc-nd'] = 'Із зазначенням авторства, Некомерційна, Без похідних творів';
+$lang['lmt_lbl_cc-by-nc-sa'] = 'Із зазначенням авторства, Некомерційна, Розповсюдження на тих самих умовах';
+$lang['lmt_lbl_cc-by-nd'] = 'Із зазначенням авторства, Без похідних творів';
+$lang['lmt_lbl_cc-by-sa'] = 'Із зазначенням авторства, Розповсюдження на тих самих умовах';
+$lang['lmt_lbl_cc_s-by'] = 'Creative Commons Із зазначенням авторства';
+$lang['lmt_lbl_cc_s-by-nc'] = 'Creative Commons Із зазначенням авторства — Некомерційна';
+$lang['lmt_lbl_cc_s-by-nc-nd'] = 'Creative Commons Із зазначенням авторства — Некомерційна — Без похідних творів';
+$lang['lmt_lbl_cc_s-by-nc-sa'] = 'Creative Commons Із зазначенням авторства — Некомерційна — Розповсюдження на тих самих умовах';
+$lang['lmt_lbl_cc_s-by-nd'] = 'Creative Commons Із зазначенням авторства — Без похідних творів';
+$lang['lmt_lbl_cc_s-by-sa'] = 'Creative Commons Із зазначенням авторства — Розповсюдження на тих самих умовах';
+$lang['To install this plugin, you need to install Grum Plugin Classes %s before'] = 'Для установки цього плаґіна, необхідно спочатку встановити плаґін Grum Plugin Classes з %s';
+$lang['lmt_help_config_4'] = 'Ця опція дозволяє вам вибрати ліцензію, яка буде застосовуватись за замовчуванням для елементів, у яких немає ліцензії.';
+$lang['lmt_help_config_5'] = 'Ця опція дозволяє вам вибрати, чи слід відображати чи ні ліцензії за замовчуванням на всіх сторінках (буде показаний на нижньому колонтитулі).';
+$lang['lmt_help_config_6'] = 'Якщо цей параметр включений, логотип із зазначенням ліцензії - гіперпосилання, яке перенаправляє користувачів на сторінку пояснюючи докладно умови роботи ліцензії.';
+$lang['lmt_author_nb_images_updated'] = 'зображення в додатку до цього автора були оновлені';
+$lang['lmt_cfg_warning_visible'] = 'Вид ліцензії застосовується за замовчуванням в нижній частині сторінки';
+$lang['lmt_help_config_8'] = 'Ця опція дозволяє вам вибрати автора, який буде призначений до ліцензії, яка використовується за замовчуванням.';
+$lang['lmt_help_config_9'] = 'Ця опція дозволяє вам вибрати кількість елементів , що відображаються на одній сторінці.';
+$lang['lmt_lbl_cc-pd'] = 'Суспільне надбання';
+$lang['lmt_manage'] = 'Управління завданнями';
+$lang['lmt_manageaut'] = 'Управління авторами';
+$lang['lmt_nb_author_one'] = '1 набір автора';
+$lang['lmt_search_pictures_with_licence_n'] = 'Пошук зображень по одній з ліцензії:';
+$lang['lmt_lbl_cc_s-cright'] = '© Копірайт';
+$lang['lmt_icon_text'] = 'Текст';
+$lang['lmt_image'] = 'Зображення';
+$lang['lmt_lbl_cc-cc0'] = 'Немає захищених прав';
+$lang['lmt_lbl_cc-cleft'] = 'Копілефт';
+$lang['lmt_lbl_cc-cright'] = 'Копірайт';
+$lang['lmt_lbl_cc-default'] = 'Ліцензія за замовчуванням';
+$lang['lmt_lbl_cc_s-cleft'] = 'Копілефт';
+$lang['lmt_lbl_cc_s-default'] = ' - ';
+$lang['lmt_lbl_cc_s-pd'] = 'Суспільне надбання';
+$lang['lmt_lbl_under-by'] = 'Опублікований під ліцензією';
+$lang['lmt_lbl_under-by-nc'] = 'Опублікований під ліцензією';
+$lang['lmt_lbl_under-by-nc-nd'] = 'Опублікований під ліцензією';
+$lang['lmt_lbl_under-by-nc-sa'] = 'Опублікований під ліцензією';
+$lang['lmt_lbl_under-by-nd'] = 'Опублікований під ліцензією';
+$lang['lmt_lbl_under-by-sa'] = 'Опублікований під ліцензією';
+$lang['lmt_lbl_under-cc0'] = 'Опублікований під ліцензією';
+$lang['lmt_lbl_under-cleft'] = 'Опублікований під ліцензією';
+$lang['lmt_licence'] = 'Ліцензія';
+$lang['lmt_licence_config'] = 'Управління ліцензіями';
+$lang['lmt_licence_to_apply'] = 'Вибір ліцензії';
+$lang['lmt_licence_type'] = 'Тип ліцензії';
+$lang['lmt_list'] = 'Ліцензовані зображення';
+$lang['lmt_lst_apply_filter'] = 'Фільтр';
+$lang['lmt_lst_default_licence'] = 'Зображення за замовчуванням опубліковані на умовах наступної ліцензії';
+$lang['lmt_lst_nb_photos'] = 'зображення';
+$lang['lmt_lst_special_licence'] = 'Наступні зображення опубліковані з ліцензією';
+$lang['lmt_modify'] = 'Редагувати';
+$lang['lmt_name'] = 'Ім’я';
+$lang['lmt_nav_first'] = 'Перший';
+$lang['lmt_nav_last'] = 'Останній';
+$lang['lmt_nav_next'] = 'Наступний';
+$lang['lmt_nav_prev'] = 'Попередній';
+$lang['lmt_nb_author_zero'] = 'Немає ніякого набору автора';
+$lang['lmt_nb_authors'] = 'набір авторів';
+$lang['lmt_no_author'] = '&lt;Немає автора&gt;';
+$lang['lmt_no_element_selected'] = 'Немає вибраних елементів!';
+$lang['lmt_no_text'] = 'Ніякий текст не заповнений!';
+$lang['lmt_nofilter'] = 'Всі ліцензії';
+$lang['lmt_official_website'] = 'Офіційний сайт Creative Commons';
+$lang['lmt_ok'] = 'Гаразд';
+$lang['lmt_redirect_config'] = 'Перенаправлення';
+$lang['lmt_redirect_urls'] = 'URL перенаправлення';
+$lang['lmt_replace_caddie'] = 'Очистити кошик і додати елементи';
+$lang['lmt_save_config'] = 'Конфігурація збережена';
+$lang['lmt_search'] = 'Пошук';
+$lang['lmt_search_by_licence'] = 'Пошук зображень по ліцензії';
+$lang['lmt_search_pictures_with_licence_1'] = 'Пошук зображень по ліцензії';
+$lang['lmt_select_all'] = 'Всі';
+$lang['lmt_select_invert'] = 'Зворотній';
+$lang['lmt_select_none'] = 'Жоден';
+$lang['lmt_six_licences'] = '6 ліцензій';
+$lang['lmt_title'] = 'Інструмент керування ліцензіями';
+$lang['lmt_warning_config'] = 'Управління тексту нижнього колонтитулу';
+$lang['lmt_whatisit_def2'] = 'Існують 6 ліцензій, які базуються на 4 принципах, що визначають умови користування.';
+$lang['lmt_way_--'] = 'Присвоєння';
+$lang['lmt_way_nc'] = 'Не комерційне використання';
+$lang['lmt_way_sa'] = 'Поділіться однаково';
+$lang['lmt_whatisit'] = 'Що таке <i>Creative Commons?</i>';
+$lang['lmt_yesno_n'] = 'Ні';
+$lang['lmt_yesno_y'] = 'Так';
+$lang['lmt_error_num_items'] = 'Принаймні, слід вибрати одну ліцензію';
+$lang['lmt_error_on_image_author'] = 'Проблема виникає, коли оновлення елементів додається до видаленого автором';
+$lang['lmt_four_way'] = '4 принципи';
+$lang['lmt_general_config'] = 'Загальні параметри';
+$lang['lmt_help'] = 'Допомога';
+$lang['lmt_add_licence_ko'] = 'Кількість ліцензій не вдалося застосувати до виділених елементів';
+$lang['lmt_apply_do_clear'] = 'Застосувати ліцензію і порожній кошик';
+$lang['lmt_apply_do_clear_selected'] = 'Застосування ліцензії та очистити вибрані елементи в кошику';
+$lang['lmt_cfg_licence_logo'] = 'Тип логотипа відображається';
+$lang['lmt_cfg_list_maxitems'] = 'Максимальна кількість відображуваних елементів';
+$lang['lmt_cfg_warning_target'] = 'Примусьте сторінки відкриватись в новому вікні';
+$lang['lmt_config'] = 'Налаштування';
+$lang['lmt_delete'] = 'Видалити';
+$lang['lmt_display_config'] = 'Параметри відображення';
+$lang['lmt_do_save'] = 'Зберегти налаштування';
+$lang['lmt_cfg_warning_link'] = 'Включити перенаправлення';
+$lang['lmt_cfg_warning_texts'] = 'Текст нижнього колонтитулу';
+$lang['lmt_choose_licence_type'] = 'Виберіть тип ліцензії';
+$lang['lmt_choose_select'] = '&lt;Виберіть&gt;';
+$lang['lmt_clear_caddie_ko'] = 'Кошик не може бути очищений';
+$lang['lmt_clear_caddie_ok'] = 'Кошик був очищений';
+$lang['lmt_clear_si_caddie_ko'] = 'Вибрані елементи не можуть бути видалені з кошика';
+$lang['lmt_clear_si_caddie_ok'] = 'Вибрані елементи були очищені з кошика';
 ?>