Index: /extensions/lmt/language/el_GR/index.php
===================================================================
--- /extensions/lmt/language/el_GR/index.php	(revision 17421)
+++ /extensions/lmt/language/el_GR/index.php	(revision 17421)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/lmt/language/el_GR/plugin.lang.php
===================================================================
--- /extensions/lmt/language/el_GR/plugin.lang.php	(revision 17421)
+++ /extensions/lmt/language/el_GR/plugin.lang.php	(revision 17421)
@@ -0,0 +1,41 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['lmt_author_nb_images_updated'] = 'Οι εικόνες που επισυνάπτονται στον παρόντα δημιουργό έχουν ενημερωθεί';
+$lang['lmt_author_modified'] = 'Ο δημιουργός τροποποιήθηκε';
+$lang['lmt_author_deleted'] = 'Ο δημιουργός διαγράφτηκε ';
+$lang['lmt_author_added'] = 'Ο δημιουργός προστέθηκε';
+$lang['lmt_author'] = 'Δημιουργός';
+$lang['lmt_apply_do_nothing'] = 'Εφαρμόστε την άδεια και μην τροποποιήσετε το καλάθι';
+$lang['lmt_apply_do_clear_selected'] = 'Εφαρμόστε την άδεια και απομακρύνετε τα επιλεγμένα στοιχεία από το καλάθι';
+$lang['lmt_apply_do_clear'] = 'Εφαρμόστε την άδεια και αδειάστε το καλάθι';
+$lang['lmt_apply'] = 'Εφαρμόστε';
+$lang['lmt_add_to_caddie'] = 'Προσθέστε τα στοιχεία στο καλάθι';
+$lang['lmt_add_licence_type'] = 'Προσθέστε μια άδεια τύπου';
+$lang['lmt_add_licence_ok'] = 'Η άδεια έχει εφαρμοστεί στα επιλεγμένα στοιχεία';
+$lang['lmt_add_licence_ko'] = 'Η άδεια δεν μπορεί να εφαρμοστεί στα επιλεγμένα στοιχεία';
+$lang['lmt_add_author'] = 'Προσθήκη δημιουργού';
+$lang['lmt_add'] = 'Προσθήκη';
+$lang['lmt_action'] = 'Δράσεις';
+$lang['example'] = 'Εμφάνιση δείγματος';
+$lang['To install this plugin, you need to install Grum Plugin Classes %s before'] = 'Για να εγκαταστήσετε αυτό το πρόσθετο, θα πρέπει πρώτα να εγκαταστήσετε το Grum Plugin Classes %s';
+?>