Index: /extensions/ASearchEngine/language/el_GR/index.php
===================================================================
--- /extensions/ASearchEngine/language/el_GR/index.php	(revision 17422)
+++ /extensions/ASearchEngine/language/el_GR/index.php	(revision 17422)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/ASearchEngine/language/el_GR/plugin.lang.php
===================================================================
--- /extensions/ASearchEngine/language/el_GR/plugin.lang.php	(revision 17422)
+++ /extensions/ASearchEngine/language/el_GR/plugin.lang.php	(revision 17422)
@@ -0,0 +1,47 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['ase_dateCreation'] = 'Ημερομηνία φωτογράφησης ';
+$lang['ase_dateAvailable'] = 'Διαθέσιμη ημερομηνία';
+$lang['ase_config_saved'] = 'Η ρύθμιση αποθηκεύτηκε';
+$lang['ase_config'] = 'Διαμόρφωση';
+$lang['ase_choose_rate'] = 'Αναζήτηση κατά αξιολόγηση';
+$lang['ase_choose_date'] = 'Αναζήτηση σε περισσότερα από ένα δεδομένο χρονικό διάστημα';
+$lang['ase_choose_categories'] = 'Αναζήτηση σε μία ή περισσότερες κατηγορίες';
+$lang['ase_category'] = 'Κατηγορία';
+$lang['ase_categories'] = 'Κατηγορίες';
+$lang['ase_cancel'] = 'Ακύρωση';
+$lang['ase_average_rate'] = 'Μέση αξιολόγηση';
+$lang['ase_apply'] = 'Εφαρμόστε';
+$lang['ase_add_tag'] = 'Προσθέστε μία ή περισσότερες ετικέτες';
+$lang['ase_add_rate'] = 'Προσθέστε μια βαθμολόγηση';
+$lang['ase_add_keyword'] = 'Προσθέστε μια λέξη-κλειδί';
+$lang['ASEKeyword'] = 'Advanced Search Engine - Λέξεις-Κλειδιά';
+$lang['ase_add_date'] = 'Προσθέστε μια περίοδο';
+$lang['ase_Dont_have_rate'] = 'Η Εικόνα δεν έχει βαθμολογηθεί';
+$lang['ase_add_category'] = 'Προσθέστε μία ή περισσότερες κατηγορίες';
+$lang['ASETag'] = 'Advanced Search Engine - Ετικέτες';
+$lang['To install this plugin, you need to install Grum Plugin Classes %s before'] = 'Για να εγκαταστήσετε αυτό το πρόσθετο, θα πρέπει πρώτα να εγκαταστήσετε το Grum Plugin Classes %s';
+$lang['ASEDate'] = 'Advanced Search Engine - Ημερομηνίες';
+$lang['ASERate'] = 'Advanced Search Engine - Μέση αξιολόγηση';
+$lang['ASECategory'] = 'Advanced Search Engine - Κατηγορίες';
+?>