Index: /extensions/GMaps/language/uk_UA/plugin.lang.php
===================================================================
--- /extensions/GMaps/language/uk_UA/plugin.lang.php	(revision 17434)
+++ /extensions/GMaps/language/uk_UA/plugin.lang.php	(revision 17435)
@@ -31,3 +31,77 @@
 $lang['gmaps_cancel'] = 'Скасувати';
 $lang['gmaps_category'] = 'Категорія';
+$lang['gmaps_map_assoc'] = 'Властивості';
+$lang['gmaps_map_associate_kmlfile'] = 'Асоціювати файл KML/KMZ';
+$lang['gmaps_map_dimensions_are'] = 'Розмір мапи становить:';
+$lang['gmaps_map_icon'] = 'Іконка';
+$lang['gmaps_map_id'] = 'Мапа';
+$lang['gmaps_loading'] = 'Завантаження...';
+$lang['gmaps_i_centermap'] = 'Центр мапи';
+$lang['gmaps_i_show_this_picture_in'] = 'Покажіть це фото в категорії:';
+$lang['gmaps_interface_dimensions_a'] = 'Налаштування розміру вікна';
+$lang['gmaps_interface_dimensions_f'] = 'Виправлено';
+$lang['gmaps_kml_file_management'] = 'Управління файлом KML/KMZ';
+$lang['gmaps_kml_file_none'] = 'Жоден';
+$lang['gmaps_kml_file_selected'] = 'Виберіть серед керованих файлів';
+$lang['gmaps_pleaseConfirmKml_1'] = 'Файл KML/KMZ буде видалений і усі посилання на нього будуть знову встановлені.';
+$lang['gmaps_map_integration'] = 'Інтеграція в галерею';
+$lang['gmaps_map_kmlfile'] = 'Файл KML/KMZ';
+$lang['gmaps_map_marker'] = 'Аспект маркера';
+$lang['gmaps_map_title'] = 'Назва';
+$lang['gmaps_maps'] = 'Мапи';
+$lang['gmaps_maps_management'] = 'Управління мапами';
+$lang['gmaps_n'] = 'Ні';
+$lang['gmaps_name'] = 'Ім\'я';
+$lang['gmaps_nb_assoc'] = 'Призначення';
+$lang['gmaps_nb_pictures'] = '%s фотографій';
+$lang['gmaps_north'] = 'Північ';
+$lang['gmaps_of_lat'] = 'для широти';
+$lang['gmaps_of_lng'] = 'для довготи';
+$lang['gmaps_of_window_size'] = 'розміру вікна браузера';
+$lang['gmaps_ok'] = 'Гаразд';
+$lang['gmaps_only_one_map_is_allowed_for_this_mode'] = 'Врегулювання вже існує для цієї асоціації';
+$lang['gmaps_picture'] = 'Фото';
+$lang['gmaps_pleaseConfirmDeletingAssoc'] = 'Будь ласка, підтвердіть видалення асоціації';
+$lang['gmaps_pleaseConfirmKml'] = 'Будь ласка, підтвердіть видалення.';
+$lang['gmaps_pleaseConfirmKml_2'] = 'Будь ласка, підтвердіть видалення.';
+$lang['gmaps_pleaseConfirmMetadataDelete_1'] = 'Мапа і усі залежні асоціації будуть видалені.';
+$lang['gmaps_pleaseConfirmMetadataDelete_2'] = 'Будь ласка, підтвердіть видалення.';
+$lang['gmaps_popup_automatic_size'] = 'Автоматичний розмір мап';
+$lang['gmaps_properties_general'] = 'Властивості';
+$lang['gmaps_properties_mapType'] = 'Показати управління';
+$lang['gmaps_properties_zoomLevel'] = 'Управління масштабу';
+$lang['gmaps_search'] = 'Пошук';
+$lang['gmaps_search_by_geographic_area'] = 'Пошук по регіонам';
+$lang['gmaps_south'] = 'Південь';
+$lang['gmaps_view_map'] = 'Знайдіть фото на мапі';
+$lang['gmaps_warning'] = 'Попередження';
+$lang['gmaps_west'] = 'Захід';
+$lang['gmaps_width'] = 'Ширина';
+$lang['gmaps_y'] = 'Так';
+$lang['gmaps_zoomLevel'] = 'Масштаб';
+$lang['gmaps_zoomLevel_max'] = 'Максимальний масштаб';
+$lang['gmaps_release'] = 'ревізія';
+$lang['gmaps_display_visible'] = 'Видимий';
+$lang['gmaps_east'] = 'Схід';
+$lang['gmaps_edit'] = 'Редагувати';
+$lang['gmaps_error_code_aksf02'] = 'Сталася помилка при збереженні файлу';
+$lang['gmaps_error_code_aksf10'] = 'Файл з таким же ім\'ям вже використовується';
+$lang['gmaps_file_is_not_kml_kmz'] = 'Розширення файлу невірне! Тільки файли KML і KMZ прийняті.';
+$lang['gmaps_file'] = 'Файл';
+$lang['gmaps_apply_subcat'] = 'Зверніться до під-категорій';
+$lang['gmaps_apply_zoomLevel_max'] = 'Застосуйте максимальний рівень збільшення';
+$lang['gmaps_choose_geographic_area'] = 'Виберіть географічну область';
+$lang['gmaps_deleteKml'] = 'Видаліть файл KML/KMZ';
+$lang['gmaps_displayType'] = 'Покажіть тип';
+$lang['gmaps_displayTypeShortIP'] = 'Фото (lightbox)';
+$lang['gmaps_displayTypeShortMP'] = 'Фото (метадані)';
+$lang['gmaps_display_hidden'] = 'Приховано';
+$lang['gmaps_add_a_new_kmlFile'] = 'Додайте файл KML/KMZ';
+$lang['gmaps_config'] = 'Конфігурація';
+$lang['gmaps_config_map'] = 'Налаштування мапи';
+$lang['gmaps_config_saved'] = 'Налаштування збережені';
+$lang['gmaps_date'] = 'Дата';
+$lang['gmaps_delete'] = 'Видалити';
+$lang['gmaps_deleteMap'] = 'Видалити карту';
+$lang['gmaps_dimensions'] = 'Розміри';
 ?>