Index: /extensions/HistoryIPExcluder/branches/2.4/language/cs_CZ/description.txt
===================================================================
--- /extensions/HistoryIPExcluder/branches/2.4/language/cs_CZ/description.txt	(revision 17440)
+++ /extensions/HistoryIPExcluder/branches/2.4/language/cs_CZ/description.txt	(revision 17440)
@@ -0,0 +1,1 @@
+Vyloučí jednu, nebo daný rozsah IP adres z historie a zařadí je do blacklistu registrací
Index: /extensions/HistoryIPExcluder/branches/2.4/language/cs_CZ/plugin.lang.php
===================================================================
--- /extensions/HistoryIPExcluder/branches/2.4/language/cs_CZ/plugin.lang.php	(revision 17439)
+++ /extensions/HistoryIPExcluder/branches/2.4/language/cs_CZ/plugin.lang.php	(revision 17440)
@@ -22,5 +22,5 @@
 // +-----------------------------------------------------------------------+
 $lang['HIPE_CleanHist'] = 'Vyčistit historii';
-$lang['HIPE_IPBlacklist_title'] = 'Černý list registrace';
+$lang['HIPE_IPBlacklist_title'] = 'Blacklist registrace';
 $lang['HIPE_IPByMember_description'] = 'Ukázat IP použité členy, řazené dle IP';
 $lang['HIPE_IPByMember'] = 'IP dle člena';
@@ -41,3 +41,7 @@
 $lang['HIPE_IPBlacklisted'] = 'Zabránit registraci uživatelů s následujícími IP adresami (blacklist)';
 $lang['HIPE_OnlyGuest_description'] = 'Ukáže pouze IP použité Hosty a počet kolikrát bylo nalezeno v historické tabulce, tříděno dle počtu';
+$lang['HIPE_IPnoGuest_description'] = ' ';
+$lang['HIPE_IPnoGuest'] = ' ';
+$lang['HIPE_admin_description1'] = 'Do pole níže zadejte kompletní IP adresy, nebo rozsah IP adres pro zařazení do blacklistu (jednu adresu na řádek). Pro upřesnění rozsahu IP adres použijte zástupný znak "%".<br>Příklad : 74.6.1.2 nebo 74.6.%';
+$lang['HIPE_description'] = 'Tento plugin umožňuje vynechat IP adresy, nebo rozsahy IP adres z historie a statistik. <br>Jeho aktivace blokuje záznamy v tabulce historie IP adres uvedené v tabulce níže.';
 ?>
Index: /extensions/HistoryIPExcluder/branches/2.4/language/el_GR/index.php
===================================================================
--- /extensions/HistoryIPExcluder/branches/2.4/language/el_GR/index.php	(revision 17440)
+++ /extensions/HistoryIPExcluder/branches/2.4/language/el_GR/index.php	(revision 17440)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/HistoryIPExcluder/branches/2.4/language/el_GR/plugin.lang.php
===================================================================
--- /extensions/HistoryIPExcluder/branches/2.4/language/el_GR/plugin.lang.php	(revision 17440)
+++ /extensions/HistoryIPExcluder/branches/2.4/language/el_GR/plugin.lang.php	(revision 17440)
@@ -0,0 +1,48 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Error_HIPE_BlacklistedIP'] = 'Σφάλμα! Η IP σας έχει απαγορευτεί. Δεν μπορείτε να εγγραφείτε σε αυτή την γκαλερί. Επικοινωνήστε με τον διαχειριστή για περισσότερες λεπτομέρειες.';
+$lang['HIPE_CleanHist'] = 'Καθαρισμός Ιστορικού';
+$lang['HIPE_IPBlacklist_title'] = 'Μαύρη λίστα εγγραφής';
+$lang['HIPE_IPBlacklisted'] = 'Αποτροπή εγγραφής στη γκαλερί των αποκλεισμένων IPs (μαύρη λίστα)';
+$lang['HIPE_IPByMember_description'] = 'Εμφάνιση των IPs που χρησιμοποιούνται από τα μέλη, ταξινόμηση με βάση το IP';
+$lang['HIPE_IPByMember'] = 'IPs κατά μέλος';
+$lang['HIPE_IPForMember_description'] = 'Αναζήτηση και εμφάνιση των IPs που σχετίζονται με ένα εγγεγραμμένο χρήστη (ταξινομημένο κατά IP)';
+$lang['HIPE_IPForMember'] = 'IPs ενός μέλους';
+$lang['HIPE_IPnoGuest_description'] = ' ';
+$lang['HIPE_IPnoGuest'] = ' ';
+$lang['HIPE_MemberForIp_description'] = 'Αναζήτηση και εμφάνιση των χρηστών που συνδέονται με μία IP (ταξινομημένο κατά όνομα)';
+$lang['HIPE_MemberForIp'] = 'Μέλη για μία IP';
+$lang['HIPE_OnlyGuest_description'] = 'Δείτε μόνο τα IPs ρησιμοποιείται από καλεσμένους και τον αριθμό του πόσες φορές που έχει βρεθεί στον πίνακα του ιστορικού, ταξινομημένα κατά τον αριθμό των φορών στο ιστορικό';
+$lang['HIPE_OnlyGuest'] = 'Τα IPs μόνο επισκεπτών';
+$lang['HIPE_admin_description1'] = 'Πληκτρολογήστε το πλήρες IP ή εύρος IP για να αποκλείσετε (ένα ανά γραμμή) στο παρακάτω πλαίσιο. Για να καθορίσετε μια λίστα IP, χρησιμοποιήστε το χαρακτήρα μπαλαντέρ "%".<br> Παράδειγμα:. 74.6.1.2 ή 74.6.%';
+$lang['HIPE_admin_section1'] = 'Εξαίρεση IP';
+$lang['HIPE_admin_section2'] = 'Ερωτήματα σχετικά με τον πίνακα Ιστορικού';
+$lang['HIPE_admin_section3'] = 'Αποτέλεσμα του αιτήματος του ιστορικού ';
+$lang['HIPE_description'] = 'Αυτό το πρόσθετο επιτρέπει να εξαιρεθούν από το ιστορικό και τα στατιστικά στοιχεία των IP ή σειρών IP.<br>Η ενεργοποίηση του μπλοκάρει τις εγγραφές στον πίνακα των IP στο Ιστορικό που προσδιορίζονται στον παρακάτω πίνακα.
+';
+$lang['HIPE_hist_cleaned'] = 'Έγινε καθαρισμός του πίνακα του ιστορικού';
+$lang['HIPE_resquet_ok'] = 'Αίτηση ΟΚ.';
+$lang['HIPE_save_config'] = 'Οι ρυθμίσεις αποθηκεύτηκαν ';
+$lang['HIPE_version'] = '- Έκδοση: ';
+$lang['IP_geolocalisation'] = 'Γεωγραφικός Προσδιορισμός';
+?>
Index: /extensions/HistoryIPExcluder/branches/2.4/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/HistoryIPExcluder/branches/2.4/language/hu_HU/plugin.lang.php	(revision 17439)
+++ /extensions/HistoryIPExcluder/branches/2.4/language/hu_HU/plugin.lang.php	(revision 17440)
@@ -5,5 +5,4 @@
 $lang['HIPE_save_config']='Beállítások mentve.';
 $lang['HIPE_CleanHist']='Előzmények törlése';
-$lang['submit']='Elküld';
 $lang['HIPE_admin_section2'] = 'Előzmények tábla lekérdezése';
 $lang['HIPE_admin_section3'] = 'Előzmények lekérdezésének eredménye';
@@ -32,5 +31,5 @@
 $lang['HIPE_IPBlacklist_title'] = 'Regisztrációs feketelista';
 $lang['HIPE_IPBlacklisted'] = ' Regisztráció tiltása az alábbi IP címekről (feketelista)';
-$lang['Error_HIPE_BlacklistedIP'] = 'Hiba! Az IP címed le van tiltva, nem regisztrálhatsz a galériába. További részletekért fordulj a galéria adminisztrátorához.';
+$lang['Error_HIPE_BlacklistedIP'] = 'Hiba! Az IP címe le van tiltva, nem regisztrálhat a galériába. További részletekért forduljon a galéria adminisztrátorához.';
 // --------- End: New or revised $lang ---- from version 2.1.1
 ?>
Index: /extensions/HistoryIPExcluder/branches/2.4/language/lv_LV/description.txt
===================================================================
--- /extensions/HistoryIPExcluder/branches/2.4/language/lv_LV/description.txt	(revision 17440)
+++ /extensions/HistoryIPExcluder/branches/2.4/language/lv_LV/description.txt	(revision 17440)
@@ -0,0 +1,1 @@
+Izņem no vēstures vienu IP adresi vai veselu IP adrešu apgabalu un pie reģistrācijas pievieno to melnajam sarakstam 
Index: /extensions/HistoryIPExcluder/branches/2.4/language/lv_LV/index.php
===================================================================
--- /extensions/HistoryIPExcluder/branches/2.4/language/lv_LV/index.php	(revision 17440)
+++ /extensions/HistoryIPExcluder/branches/2.4/language/lv_LV/index.php	(revision 17440)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/HistoryIPExcluder/branches/2.4/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/HistoryIPExcluder/branches/2.4/language/lv_LV/plugin.lang.php	(revision 17440)
+++ /extensions/HistoryIPExcluder/branches/2.4/language/lv_LV/plugin.lang.php	(revision 17440)
@@ -0,0 +1,47 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Error_HIPE_BlacklistedIP'] = 'Kļūda! Jūsu IP adrese ir aizliegta. Jūs nevarat abonēt šo galeriju. Sīkākai informācijai sazinieties ar administrātoru.';
+$lang['HIPE_CleanHist'] = 'Notīrīt vēsturi';
+$lang['HIPE_IPBlacklist_title'] = 'Reģistrācijas melnais saraksts';
+$lang['HIPE_IPBlacklisted'] = 'Novērst izslēgto (melnais saraksts) IP adrešu teģistrāciju galerijā';
+$lang['HIPE_IPByMember_description'] = 'Rādīt locekļu izmantotās IP adreses, sakārtotas pēs IP';
+$lang['HIPE_IPByMember'] = 'Locekļa izmantotās IP adreses';
+$lang['HIPE_IPForMember_description'] = 'Meklē un parāda ar reģistrētiem lietotājiem saistītas IP adreses (sakārtotas pēc IP)';
+$lang['HIPE_IPForMember'] = 'Loceklim paredzētās IP adreses';
+$lang['HIPE_IPnoGuest_description'] = ' ';
+$lang['HIPE_IPnoGuest'] = ' ';
+$lang['HIPE_MemberForIp_description'] = 'Meklē un parāda lietotājus, kas piesaistīti vienai IP adresei (sakārtoti pēc vārda)';
+$lang['HIPE_MemberForIp'] = 'Locekļi uz vienu IP adresi';
+$lang['HIPE_OnlyGuest_description'] = 'Rādīt tikai Viesu izmantotās IP adreses un to, cik reizes tās parādās vēstures sarakstā, sakārtotas pēc parādīšanās skaita';
+$lang['HIPE_OnlyGuest'] = 'Tikai Viesu IP adreses';
+$lang['HIPE_admin_description1'] = 'Lai izslēgtu, ievadiet pilnu IP adresi vai IP adrešu diapazonu (viena katrā rindā) lodziņā zemāk. Lai norādītu IP diapazonu, izmantojiet aizstājējzīmi "%" <br> Piemērs:74.6.1.2 vai 74,6% ';
+$lang['HIPE_admin_section1'] = 'IP adreses Izslēgšana';
+$lang['HIPE_admin_section2'] = 'Vaicājumi par vēstures sarakstu';
+$lang['HIPE_admin_section3'] = 'Vēsturiskā pieprasījuma rezultāts ';
+$lang['HIPE_description'] = 'Šis spraudnis ļauj izņemt no vēstures vienu IP adresi vai IP adrešu apgabalus.<br> Tie ir aktivācijas bloķēšanas ieraksti IP adrešu vēstures sarakstā zemāk esošajā tabulā.';
+$lang['HIPE_hist_cleaned'] = 'Vēstures saraksta tīrīšana pabeigta.';
+$lang['HIPE_resquet_ok'] = 'Pieprasījums OK.';
+$lang['HIPE_save_config'] = 'Konfigurācija saglabāta.';
+$lang['HIPE_version'] = ' - Versija: ';
+$lang['IP_geolocalisation'] = 'Ģeolokalizācija';
+?>
Index: /extensions/HistoryIPExcluder/branches/2.4/language/pl_PL/description.txt
===================================================================
--- /extensions/HistoryIPExcluder/branches/2.4/language/pl_PL/description.txt	(revision 17440)
+++ /extensions/HistoryIPExcluder/branches/2.4/language/pl_PL/description.txt	(revision 17440)
@@ -0,0 +1,1 @@
+Wyklucza jeden adres IP lub zakres adresów z historii i umieszcza je na czarnej liście przy rejestracji
Index: /extensions/HistoryIPExcluder/branches/2.4/language/uk_UA/plugin.lang.php
===================================================================
--- /extensions/HistoryIPExcluder/branches/2.4/language/uk_UA/plugin.lang.php	(revision 17440)
+++ /extensions/HistoryIPExcluder/branches/2.4/language/uk_UA/plugin.lang.php	(revision 17440)
@@ -0,0 +1,47 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['HIPE_admin_description1'] = 'Введіть повний IP-адрес або діапазон IP-адрес для виключення (по одному на рядок) в поле нижче. Щоб задати IP-діапазон, використовуйте символ підстановки "%".<br> Приклад: 74.6.1.2 або 74.6.%';
+$lang['HIPE_MemberForIp'] = 'Користувачі з одним IP';
+$lang['HIPE_admin_section1'] = 'Виняток IP-адреси';
+$lang['HIPE_IPnoGuest'] = 'Переклад відсутній';
+$lang['HIPE_IPnoGuest_description'] = 'Переклад відсутній';
+$lang['HIPE_OnlyGuest_description'] = 'Показати IP-адреси, які використовуються тільки гостями та скільки разів вони знаходиться в таблиці історії, відсортовані за кількістю раз';
+$lang['HIPE_IPBlacklisted'] = 'Запобігання реєстрації в галереї виключених IP-адреси (чорний список)';
+$lang['HIPE_IPForMember_description'] = 'Пошук і відображення IP-адрес пов\'язаних із зареєстрованим користувачем (відсортовані по IP)';
+$lang['HIPE_MemberForIp_description'] = 'Пошук і відображення користувачів, що додається до однієї IP (відсортовані за іменами)';
+$lang['HIPE_description'] = 'Цей плагін дозволяє виключити з історії та статистики IP-адресу або діапазон IP-адрес. <br> Його активація блокує записи в таблиці IP-адрес *_history, зазначених у таблиці нижче.';
+$lang['Error_HIPE_BlacklistedIP'] = 'Помилка! Ваш IP-адрес був заборонений. Ви не можете підписатися на цю галерею. Зверніться до адміністратора для уточнення деталей.';
+$lang['HIPE_IPByMember_description'] = 'Показати IP - адрес, що використовуються користувачами, відсортовані за IP';
+$lang['HIPE_OnlyGuest'] = 'Тільки IP-адреси гостей';
+$lang['HIPE_admin_section2'] = 'Питання з таблиці історії';
+$lang['HIPE_resquet_ok'] = 'Запит ОК.';
+$lang['HIPE_save_config'] = 'Налаштування збережені.';
+$lang['HIPE_version'] = '- Версія:';
+$lang['IP_geolocalisation'] = 'Геолокалізація';
+$lang['HIPE_CleanHist'] = 'Очищення історії';
+$lang['HIPE_IPBlacklist_title'] = 'Реєстрація чорного списку';
+$lang['HIPE_IPByMember'] = 'IP-адреси користувача';
+$lang['HIPE_IPForMember'] = 'IP-адреси для користувача';
+$lang['HIPE_admin_section3'] = 'Результат історичного запиту';
+$lang['HIPE_hist_cleaned'] = 'Очищення таблиці історії зроблено';
+?>