Index: /extensions/Prune_History/language/uk_UA/plugin.lang.php
===================================================================
--- /extensions/Prune_History/language/uk_UA/plugin.lang.php	(revision 17461)
+++ /extensions/Prune_History/language/uk_UA/plugin.lang.php	(revision 17462)
@@ -27,11 +27,11 @@
 Наприклад, якщо ви хочете зберегти історію до 3 місяців, Ви можете налаштувати три місяці або 91 днів.<br><br>
 Примітка: історія резюме не впливає на автоматичне очищення.';
-$lang['PH_AutoPrune_title_d'] = 'Якщо ви включили автоматичне очищення, воно буде запускатися автоматично при кожному вході користувача в галерею (включаючи адміністратора або веб-майстер) і на основі збережених налаштувань <br><br>
+$lang['PH_AutoPrune_title_d'] = 'Якщо ви включили автоматичне очищення, воно буде запускатися автоматично при кожному вході користувача в галерею (включаючи адміністратора або веб-майстера) на основі збережених налаштувань.<br><br>
 <b style=&quot;color: red;&quot;>Використовуйте з обережністю! Очищені дані не можна буде відновити!</b>';
-$lang['PH_ManualPrune_title_d'] = 'Ця функція дозволяє видалити записи історії на основі діапазон дат. Виберіть дату початку та дату завершення очищення і запустити.<br><br><b style=&quot;color: red;&quot;>Попередження: дані журналу будуть безповоротно видалені!</b> Ви можете створити резервну копію і відновити таблицю історії за допомогою функції в правильному куту екрану.<br><br>Примітка: Історія резюме не постраждають від очищення.';
-$lang['PH_Save_Title_d'] = 'Оскільки обрізки є остаточним і незворотні, бажано зберегти вашу таблицю історії перед початком очищення. За замовчуванням таблиця зберігається у файлі на сервері і може бути відновлена звідти.<br><br> Але також можна завантажити файл резервної копії, щоб отримати його з вашої галереї. У цьому випадку відновлення повинно бути зроблено через ваш інструмент управління бази даних (зазвичай phpMyAdmin).';
-$lang['PH_Support'] = 'Офіційна підтримка плаґіну, тальки на цій темі форуму Piwigo:<br>
+$lang['PH_ManualPrune_title_d'] = 'Ця функція дозволяє видалити записи історії на основі діапазону дат. Виберіть дату початку та дату завершення очищення і запускайте.<br><br><b style=&quot;color: red;&quot;>Попередження: дані журналу будуть  безповоротньо видалені!</b> Ви можете створити резервну копію і відновити таблицю історії за допомогою функції в правильному кутку екрана.<br><br>Примітка: Історія резюме не постраждає від очищення.';
+$lang['PH_Save_Title_d'] = 'Оскільки очищення є остаточним і незворотним, бажано зберегти вашу таблицю історії перед початком очищення. За замовчуванням таблиця зберігається у файлі на сервері і може бути відновлена звідти.<br><br> Але також можна завантажити файл резервної копії, щоб отримати його на ваш комп\'ютер. У цьому випадку відновлення повинно бути зроблено через ваш інструмент управління бази даних (зазвичай phpMyAdmin).';
+$lang['PH_Support'] = 'Офіційна підтримка плаґіну, тільки в цій темі форуму Piwigo:<br>
 <a href="http://piwigo.org/forum/viewtopic.php?id=19418" onclick="window.open(this.href);return false;">Англійський форум - http://piwigo.org/forum/viewtopic.php?id=19418</a>';
-$lang['PH_Restore'] = 'Щоб відновити резервну копію вашої таблиці історії.<br>Враховується тільки збережений файл на сервері.';
+$lang['PH_Restore'] = 'Відновіть вашу резервну копію таблиці історії.<br>Враховується тільки файл збережений на сервері.';
 $lang['PH_AutoPrune_title'] = 'Автоматичне очищення';
 $lang['PH_Prune'] = 'Запустити ручне очищення';
@@ -45,11 +45,11 @@
 $lang['PH_submit'] = 'Зберегти налаштування';
 $lang['Start_Date'] = 'Дата початку';
-$lang['range']['1'] = 'День(в)';
+$lang['range']['1'] = 'День(ів)';
 $lang['range']['2'] = 'Місяць(ів)';
-$lang['range']['3'] = 'Рік(и)';
+$lang['range']['3'] = 'Рік(ів)';
 $lang['PH_AutoPrune_false'] = 'Вимкнути (за замовчуванням)';
 $lang['PH_AutoPrune_true'] = 'Увімкнути';
 $lang['PH_AutoRange_title'] = 'зберігати історію до:';
-$lang['PH_Dump_Download'] = 'Перевірити це поле, щоб завантажити файл резервної копії:';
+$lang['PH_Dump_Download'] = 'Відмітьте це поле, щоб завантажити файл резервної копії:';
 $lang['PH_Dump_NOK'] = 'Не вдалося виконати резервне копіювання!';
 $lang['PH_Dump_OK'] = 'Резервне копіювання виконано!';