Index: extensions/GMaps/language/uk_UA/plugin.lang.php
===================================================================
--- extensions/GMaps/language/uk_UA/plugin.lang.php	(revision 17435)
+++ extensions/GMaps/language/uk_UA/plugin.lang.php	(revision 17463)
@@ -103,5 +103,52 @@
 $lang['gmaps_date'] = 'Дата';
 $lang['gmaps_delete'] = 'Видалити';
-$lang['gmaps_deleteMap'] = 'Видалити карту';
+$lang['gmaps_deleteMap'] = 'Видалити мапу';
 $lang['gmaps_dimensions'] = 'Розміри';
+$lang['gmaps_amd_warning_basic'] = 'Попередження!<br><br> плаґін Advanced Metadata працює в "базовому" режимі: мапи пов\'язані з категоріями не можуть бути відображені в цьому режимі.';
+$lang['To install this plugin, you need to install Grum Plugin Classes %s before'] = 'Щоб встановити цей плаґін, в першу чергу необхідно встановити плаґін Grum Plugin Classes %s';
+$lang['gmaps_amd_warning_inactive'] = 'Попередження!<br><br> плаґін Advanced Metadata %s, здається, не буде встановлений/включений: мапи не можуть бути відображені, поки плаґін не буде встановлений ​​і активований.';
+$lang['gmaps_displayTypeIC'] = 'Для відображення на сторінці категорії (lightbox)';
+$lang['gmaps_displayTypeIP'] = 'Для відображення на сторінці фото (lightbox)';
+$lang['gmaps_displayTypeMP'] = 'Для відображення на сторінці фото (метадані)';
+$lang['gmaps_display_type_cannot_be_changed'] = 'Ця мапа зараз асоційована, тип дисплея не може бути модифікований';
+$lang['gmaps_error_code_aksf01'] = 'Сталася невідома помилка... :-/';
+$lang['gmaps_force_display'] = 'Мапа примусово відображається, навіть якщо немає прив\'язаних до мапи фотографій';
+$lang['To install this plugin, you need to install Advanced Metadata %s before'] = 'Щоб встановити цей плаґін, в першу чергу необхідно встановити, активувати та налаштувати плаґін  Advanced Metadata %s';
+$lang['gmaps_add_a_new_association'] = 'Додайте нову асоціацію';
+$lang['gmaps_add_geographic_area'] = 'Додайте географічну область';
+$lang['gmaps_associate_category_maps'] = 'Мапи асоціації';
+$lang['gmaps_deleteAssoc'] = 'Видаліть асоціацію';
+$lang['gmaps_displayTypeShortIC'] = 'Категорія (lightbox)';
+$lang['gmaps_file_required'] = 'Вибирати файл не потрібно!';
+$lang['gmaps_file_size'] = 'Розмір файлу';
+$lang['gmaps_geographic_coords_between'] = 'Географічні координати між:';
+$lang['gmaps_geolocation'] = 'Географічне положення';
+$lang['gmaps_googleMapNavigationControl'] = 'Управляння масштабу';
+$lang['gmaps_gpc_not_up_to_date'] = 'Це необхідно для встановленої версії %s плаґіну <i>Grum Plugin Classes</i>. В даний час встановлена версія %s: перейдіть до оновлення версії плаґіна <i>Grum Plugin Classes</i>.';
+$lang['gmaps_i_boundkml'] = 'Відрегулюйте розмір мапи, щоб побачити повний трек';
+$lang['gmaps_i_boundmap'] = 'Регулюйте розмір мапи, щоб бачити усі елементи';
+$lang['gmaps_googleMapNavigationControl_-1'] = 'Жоден';
+$lang['gmaps_googleMapNavigationControl_0'] = 'Автоматичний';
+$lang['gmaps_googleMapNavigationControl_1'] = 'Невеликий';
+$lang['gmaps_googleMapNavigationControl_2'] = 'Android';
+$lang['gmaps_googleMapNavigationControl_3'] = 'Великий';
+$lang['gmaps_googleMapScaleControl'] = 'Масштаб';
+$lang['gmaps_googleMapStreetView'] = 'Показати управління Вуличного Перегляду';
+$lang['gmaps_googleMapTypeControl'] = 'Показати управління';
+$lang['gmaps_googleMapTypeControl_-1'] = 'Жоден';
+$lang['gmaps_googleMapTypeControl_0'] = 'Автоматичний';
+$lang['gmaps_googleMapTypeControl_1'] = 'Горизонтальне меню';
+$lang['gmaps_googleMapTypeControl_2'] = 'Спливаюче меню';
+$lang['gmaps_googleMapType_hybrid'] = 'Гібрид';
+$lang['gmaps_googleMapType_roadmap'] = 'Дорожня мапа';
+$lang['gmaps_googleMapType_satellite'] = 'Супутник';
+$lang['gmaps_googleMapType_terrain'] = 'Місцевість';
+$lang['gmaps_height'] = 'Висота';
+$lang['gmaps_icon_info'] = 'Якщотема вже має значок з тими ж розмірами, як один обраний, він буде застосовуватись в першу чергу';
+$lang['gmaps_manage_assoc'] = 'Управління асоціаціями';
+$lang['gmaps_kml_file_access'] = 'Щоб бути показаним на мапі, файлам KML/KMZ треба бути доступним серверами Google.';
+$lang['gmaps_kml_file_url'] = 'Введення URL';
+$lang['gmaps_kml_files_management'] = 'Управління файлами KML/KMZ';
+$lang['gmaps_map'] = 'Мапа';
+$lang['gmaps_mapType'] = 'Тип мапи';
 ?>