Index: /extensions/UserAdvManager/trunk/language/el_GR/help.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/el_GR/help.lang.php	(revision 17464)
+++ /extensions/UserAdvManager/trunk/language/el_GR/help.lang.php	(revision 17465)
@@ -79,3 +79,7 @@
 $lang['UAM_GTAutoGpTitle_d'] = 'Η αυτόματη αλλαγή ομάδας, κατάστασης ή επιπέδου προστασίας είναι σαν υποβιβασμός των λογαριασμών που εμπλέκονται και εργάζονται στην ίδια αρχή με την ομάδα, του επιπέδου  προστασίας της επιβεβαίωσης (βλέπε "Ρύθμιση επιβεβαίωσης εγγραφής&quot;). Ως εκ τούτου πρέπει να οριστεί μια ομάδα, κατάσταση και / ή επίπεδο πρόσβαση υποβιβασμού στη γκαλερί. Εάν αυτό έχει ήδη καθοριστεί με τη χρήση της λειτουργίας επιβεβαίωσης εγγραφής, μπορείτε να χρησιμοποιήσετε την ίδια ομάδα / κατάσταση / επίπεδο.<br><br>
 <b style=&quot;color: red;&quot;>Σημαντική σημείωση :</b> Αν ένας ghost use εξακολουθεί να μην επισκέπτεται και μετά την προθεσμία και παρά την αυτόματη ειδοποίηση μέσω ηλεκτρονικού ταχυδρομείου (εάν είναι ενεργοποιημένο), αυτός διαγράφεται αυτόματα από τη βάση δεδομένων.';
+$lang['UAM_GTAutoMailTitle_d'] = 'Όταν ένας λογαριασμός έχει λήξει (ομάδα / κατάσταση / επίπεδο προστασίας αλλάζει υποβιβαζοντας σε επισκέπτη), ένα ενημερωτικό e-mail μπορεί να σταλεί και να διευκρινίζει τους λόγους αυτής της αλλαγής και τα μέσα για να ανακτήσει την αρχική πρόσβαση στη γκαλερί. <br>
+Για να γίνει αυτό, μια σύνδεση για επιβεβαίωση της εγγραφής επισυνάπτεται στο e-mail (αυτόματη δημιουργία ενός νέου κλειδιού επιβεβαίωση). <b style=&quot;color: red;&quot;>Αν ο χρήστης έχει ήδη κοινοποιηθεί, ο λογαριασμός του αυτόματα καταστρέφεται.</b> 
+<br><br>
+<b style=&quot;color: red;&quot;>Προειδοποίηση: Η χρήση αυτής της λειτουργίας είναι στενά συνδεδεμένη με την επιβεβαίωση της εγγραφής από τον χρήστη (επιβεβαίωση με e-mail) και δεν μπορεί να ενεργοποιηθεί χωρίς αυτή την επιλογή.</b>';
 ?>
Index: /extensions/UserAdvManager/trunk/language/el_GR/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/el_GR/plugin.lang.php	(revision 17464)
+++ /extensions/UserAdvManager/trunk/language/el_GR/plugin.lang.php	(revision 17465)
@@ -297,3 +297,39 @@
 $lang['UAM_Password: %s'] = 'Κωδικός: %s';
 $lang['UAM_Password reset selected users'] = 'Αίτηση ανανέωσης κωδικού πρόσβασης για επιλεγμένους χρήστες';
+$lang['UAM_title_redir_page'] = 'Δεν επιτρέπεται η πρόσβαση έχοντας ένα λογαριασμό που καταργήθηκε!';
+$lang['UAM_title_confirm_mail'] = 'Επιβεβαιώστε την εγγραφή σας';
+$lang['UAM_submit'] = 'Υποβολή ρυθμίσεων';
+$lang['UAM_save_config'] = 'Η Διαμόρφωση αποθηκεύτηκε.';
+$lang['UAM_reg_err_login5'] = 'Ο Παροχέα email σας απαγορεύεται για την εγγραφή. Απαγορευμένες παροχείς ηλεκτρονικού ταχυδρομείου είναι:';
+$lang['UAM_mail_exclusionlist_error'] = 'Προσοχή! Έχετε εισάγει μια νέα γραμμή (CR-LF) στην αρχή της λίστας αποκλεισμού e-mail (εμφανίζονται με κόκκινο χρώμα παρακάτω). Παρά το γεγονός ότι η νέα αυτή γραμμή δεν είναι ορατή, εξακολουθεί να είναι παρούσα και μπορεί να προκαλέσει δυσλειτουργία του πρόσθετου. Παρακαλώ πληκτρολογήστε ξανά στη λίστα αποκλεισμού σας με τρόπο που δεν ξεκινά με μια νέα γραμμή.';
+$lang['UAM_reg_err_login4_%s'] = 'Ασφάλεια: Ένα σύστημα ελέγχου υπολογίζει τη βαθμολογία για την πολυπλοκότητα των επιλεγμένων κωδικών πρόσβασης. Η πολυπλοκότητα του κωδικού πρόσβασής σας είναι πολύ χαμηλή (βαθμολογία = %s). Παρακαλώ, επιλέξτε έναν νέο κωδικό πρόσβασης πιο ασφαλή, ακολουθώντας αυτούς τους κανόνες:<br>
+- Χρησιμοποιήστε γράμματα και αριθμούς<br>
+- Χρησιμοποιήστε κεφαλαία και πεζά<br>
+- Αυξήστε το μήκους του (αριθμός χαρακτήρων)<br>
+Η ελάχιστη βαθμολογία για τους κωδικούς πρόσβασης που απαιτείται από τον διαχειριστή είναι:';
+$lang['UAM_reg_err_login3'] = 'Ασφάλεια: Κωδικός Πρόσβασης δεν είναι υποχρεωτικός!';
+$lang['UAM_reg_err_login2'] = 'Το Όνομα χρήστη δεν πρέπει να ταιριάζει με τους ακόλουθους χαρακτήρες:';
+$lang['UAM_no_update_pwd'] = '[προφίλ ενημερωμένο, χωρίς να αλλάξει τον κωδικό]';
+$lang['UAM_infos_mail %s'] = '%s, παρακαλώ εδώ είναι τα στοιχεία σας για να συνδεθείτε στην γκαλερί:';
+$lang['UAM_empty_pwd'] = '[κενός κωδικός πρόσβασης]';
+$lang['UAM_confirmmail_custom_Txt2'] = 'Κείμενο της σελίδας επιβεβαίωσης - Επιβεβαίωση μη αποδεκτή';
+$lang['UAM_confirmmail_custom_Txt1'] = 'Κείμενο της σελίδας επιβεβαίωσης - Επιβεβαίωση αποδεκτή';
+$lang['UAM_confirm_mail_page_title'] = 'Επιβεβαιώστε την εγγραφή σας';
+$lang['UAM_audit_ok'] = 'Παρακολούθηση ΟΚ';
+$lang['UAM_audit'] = 'Ρυθμίσεις Παρακολούθησης';
+$lang['UAM_You need to confirm pwdreset'] = 'Πρέπει να επιβεβαιώσετε τον κωδικό ανανέωσης (check box)!';
+$lang['UAM_You cannot pwdreset your account'] = 'Κωδικός ανανέωση δεν μπορεί να ρυθμιστεί για το δικό σας λογαριασμό!';
+$lang['UAM_Webmaster cannot be pwdreset'] = 'Ο κωδικός ανανέωση δεν μπορεί να ρυθμιστεί για το λογαριασμό webmaster!';
+$lang['UAM_ValidationLimit_Info'] = 'Προθεσμία για την επιβεβαίωση εγγραφής είναι περιορισμένο';
+$lang['UAM_Validation of %s'] = 'Επιβεβαίωση του %s';
+$lang['UAM_Validated_Status'] = 'Κατάσταση για τους χρήστες οι οποίοι έχουν επιβεβαιώσει την εγγραφή τους<br>';
+$lang['UAM_Validated_Group'] = 'Ομάδα για χρήστες οι οποίοι έχουν επιβεβαιώσει εγγραφή τους <br>';
+$lang['UAM_Valid_Level'] = 'Επίπεδο προστασίας για τους χρήστες οι οποίοι έχουν επιβεβαιώσει την εγγραφή τους<br>';
+$lang['UAM_Username_Char_true'] = 'Απαγορευμένοι χαρακτήρες:<br>(Χρησιμοποιήστε ένα κόμμα για να διαχωρίσετε κάθε χαρακτήρα)<br><br>';
+$lang['UAM_Username_Char_false'] = 'Επιτρέπονται όλα (προεπιλογή)';
+$lang['UAM_Username_Char'] = 'Ονόματα χρηστών: Αποκλεισμός χαρακτήρων';
+$lang['UAM_User: %s'] = 'Χρήστης : %s';
+$lang['UAM_Update of %s'] = 'Προφίλ %s επικαιροποιημένο';
+$lang['UAM_USRAutoMail'] = 'Αυτόματη υπενθύμιση e-mail';
+$lang['UAM_USRAutoDel'] = 'Προσαρμοσμένο μήνυμα για διαγραμμένο λογαριασμό';
 ?>